<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZBOOKDataViewExpViewBase from './ibizbookdata-view-exp-view-base.vue';

import view_dataviewexpbar from '@widgets/ibizbook/data-view-exp-viewdataviewexpbar-dataviewexpbar/data-view-exp-viewdataviewexpbar-dataviewexpbar.vue';
@Component({
    components: {
        view_dataviewexpbar, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZBOOKDataViewExpView extends IBIZBOOKDataViewExpViewBase {

}
</script>